Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.contribution.visualiser.markerimpl
Class ResourceContentProvider

    java.lang.Object
      org.eclipse.contribution.visualiser.interfaces.simpleImpl.SimpleContentProvider
          org.eclipse.contribution.visualiser.markerimpl.ResourceContentProvider

All Implemented Interfaces:
  IContentProvider, org.eclipse.ui.ISelectionListener

public class ResourceContentProvider
extends SimpleContentProvider
implements org.eclipse.ui.ISelectionListener

Content provider that listens to selections in the workspace and shows file resources as memebers and folder resources as groups when a project or folder is selected.

Constructor Summary
`ResourceContentProvider()`

Method Summary
`java.lang.String` | `getEmptyMessage()` Get message for when no selections have been made
`org.eclipse.jface.resource.ImageDescriptor` | `getGroupViewIcon()` Called when switching to this content provider to get the icon used in the Visualiser view for Group view.
`org.eclipse.jface.resource.ImageDescriptor` | `getMemberViewIcon()` Called when switching to this content provider to get the icon used in the Visualiser view for Member view.
`void` | `initialise()` Initialise the content provider.
`boolean` | `processMouseclick(IMember member, boolean markupWasClicked, int buttonClicked)` Process a mouse click on a member belonging to this provider.
`void` | `selectionChanged(org.eclipse.ui.IWorkbenchPart part, org.eclipse.jface.viewers.ISelection selection)` Workbench selection has changed

Methods inherited from class org.eclipse.contribution.visualiser.interfaces.simpleImpl.SimpleContentProvider
`addGroup, getAllGroups, getAllMembers, getAllMembers, numberOfGroupsDefined`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ResourceContentProvider

    public ResourceContentProvider()

Method Detail

### initialise

    public void initialise()

  Description copied from class: `SimpleContentProvider`
  Initialise the content provider. This is a default imploementation and so does nothing.

  Specified by:
    `initialise` in interface `IContentProvider`
  Overrides:
    `initialise` in class `SimpleContentProvider`
  See Also:
    `IContentProvider.initialise()`

### selectionChanged

    public void selectionChanged(org.eclipse.ui.IWorkbenchPart part,
                                 org.eclipse.jface.viewers.ISelection selection)

  Workbench selection has changed

  Specified by:
    `selectionChanged` in interface `org.eclipse.ui.ISelectionListener`
  See Also:
    `ISelectionListener.selectionChanged(org.eclipse.ui.IWorkbenchPart, org.eclipse.jface.viewers.ISelection)`

### processMouseclick

    public boolean processMouseclick(IMember member,
                                     boolean markupWasClicked,
                                     int buttonClicked)

  Process a mouse click on a member belonging to this provider. This implemetation opens the associated resource in the editor.

  Specified by:
    `processMouseclick` in interface `IContentProvider`
  Overrides:
    `processMouseclick` in class `SimpleContentProvider`
  See Also:
    `IContentProvider.processMouseclick(IMember, boolean, int)`

### getMemberViewIcon

    public org.eclipse.jface.resource.ImageDescriptor getMemberViewIcon()

  Description copied from interface: `IContentProvider`
  Called when switching to this content provider to get the icon used in the Visualiser view for Member view. If null is returned default icons are used.

  Specified by:
    `getMemberViewIcon` in interface `IContentProvider`
  Overrides:
    `getMemberViewIcon` in class `SimpleContentProvider`
  See Also:
    `IContentProvider.getMemberViewIcon()`

### getGroupViewIcon

    public org.eclipse.jface.resource.ImageDescriptor getGroupViewIcon()

  Description copied from interface: `IContentProvider`
  Called when switching to this content provider to get the icon used in the Visualiser view for Group view. If null is returned default icons are used.

  Specified by:
    `getGroupViewIcon` in interface `IContentProvider`
  Overrides:
    `getGroupViewIcon` in class `SimpleContentProvider`
  See Also:
    `IContentProvider.getGroupViewIcon()`

### getEmptyMessage

    public java.lang.String getEmptyMessage()

  Get message for when no selections have been made

  Specified by:
    `getEmptyMessage` in interface `IContentProvider`
  Overrides:
    `getEmptyMessage` in class `SimpleContentProvider`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD